### Method

# Vips Image Lab2LabQ

#### Declaration [src]

    int
    vips_Lab2LabQ (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Convert a Lab three-band float image to LabQ (`VIPS_CODING_LABQ`).

See also

`vips_LabQ2Lab()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.